ChiliProject - Task # 36: ChiliProject Blog

Status: Closed Priority: Normal

Author: Muntek Singh Category: ChiliProject - Organization
Created: 2010-12-29 Assignee: Eric Davis

Updated: 2011-02-01 Due date:

Remote issue URL:

Description: Setup a blog, either using Eric's custom stuff, or just a plain wordpress or something.

History

2010-12-29 04:57 pm - Eric Davis
- Target version deleted ()

I'd vote for Wordpress since I'm moving all my blog to it anyways. There isn't any other blogging software that is even close to as good as Wordpress.

2010-12-30 01:22 am - Felix Schafer
Do you know if wordpress has pluggable authentication? | have convinced some other things to work with redmine users and "groups" and might try it

for wordpress too if we want to keep wordpress for some longer time.
2010-12-30 08:32 am - Eric Davis
Felix Schéafer wrote:

> Do you know if wordpress has pluggable authentication?

I think so but it's not easy. Why would we need pluggable authentication?

2010-12-30 08:34 am - Muntek Singh
Both support Idap and openid if that helps....

2010-12-30 08:41 am - Felix Schéfer

Eric Davis wrote:

> Why would we need pluggable authentication?

You'd need to register only once for the project, not once for the blog, once for the bluemine, once for the mailing list, once for the ...

2010-12-30 03:21 pm - Eric Davis

I'm probably going to use disqus.com for the comments and they allow a bunch of remote logins like OpenlID. Authors would need an account but there

won't be that many of them (as opposed to the number of community members).

2011-01-12 01:58 pm - Eric Davis
- Category set to ChiliProject - Organization

2011-01-12 02:29 pm - Eric Davis
- Tracker changed from Bug to Task

2011-01-12 03:11 pm - Eric Davis

- Target version set to Public Launch
2011-01-13 12:59 am - Felix Schafer
| believe the platform of choice still is wordpress, or are their voices against that? I'd suggest going with a wordpress.com hosted one for now, that
would take the hassle of setting it up/hosting it from us, and we could still migrate on a hosted one later on if need be.

2011-01-13 04:14 am - Wieland Lindenthal
What about using the "Redmine Blog Plugin":http://www.redmine.org/boards/3/topics/5782 ? Unfortunately | do not have any experience with it. So |

can't tell whether it is stable enough and whether it fulfills our requirements.

2011-01-13 04:53 am - Felix Schéfer

I'd rather go with a "full" blogging software, that seems to have little more than the very basics.
2011-01-13 03:03 pm - Eric Davis
| have a dedicated VPS for Wordpress that supports multiple blogs. | already started porting the "Redmine Blog":http://www.redmineblog.com over to it

and it's working really good. I'm happy to host the blog there if we'd like.

The Redmine Blog Plugin was pretty limited last | looked. Good enough for internal projects but not as a public "voice". | think it is also limited by

Redmine's wiki syntax too (e.g. can't easily post videos).
2011-01-13 03:17 pm - Felix Schafer

Eric Davis wrote:

> I'm happy to host the blog there if we'd like.

Would work for me too if you feel comfortable taking care of it.

2011-01-13 03:41 pm - Eric Davis
- Subject changed from Create Blog to ChiliProject Blog

- Subproject of deleted (#7)

2011-01-15 06:59 am - Felix Schéfer

Ping me if/when you've finished setting it up so | can give you access to the twitter account.

2011-01-17 03:51 pm - Eric Davis

- Assignee set to Holger Just

Holger:

Can you create a subdomain for the blog and point it to my server? You can use the CNAME of @server2.littlestreamsoftware.com@.

2011-01-18 02:34 am - Holger Just

- Assignee changed from Holger Just to Eric Davis

@blog.chiliproject.org@ was created as CNAME to @server2.littlestreamsoftware.com.@

2011-01-18 09:33 am - Eric Davis

Thanks Holger, the DNS is working. Now | need to setup a theme and get things ported over from the RedmineBlog I'm running.

2011-01-29 07:31 pm - Eric Davis

- Status set to In Progress
I've setup the Canvas theme and some common elements. What does everyone think?

http://blog.chiliproject.org/

(The content in the footer: "Updates" and "Twitter" are pulled from my own accounts for now. Once we are public I'll switch them over)

2011-02-01 06:50 pm - Eric Davis
- Status changed from In Progress to Closed

I've setup Disqus (using admin account with my personal account added as a moderator), added the main Twitter account to the footer, added a Write

page, deleted all of the test posts, added a simple welcome page, setup Feedburner for RSS, and hooked up Google Analytics.

The blog is ready to go now. Once we finalize the Press Release I'll add that as a post on there too.
